//-----------------------------------------------------------------------------
// Interface to the PIC-based controller.
//-----------------------------------------------------------------------------

#ifndef __CONTROLLER_H
#define __CONTROLLER_H

#define PING_REQUEST            'p'

// {w,e,r,s,d,f,x,c,v} are just passed through (jog mode)

#define STEP_X_FWD              'W'
#define STEP_X_BACK             'X'

#define STEP_Y_FWD              'E'
#define STEP_Y_BACK             'C'

#define STEP_Z_FWD              'R'
#define STEP_Z_BACK             'V'

#define MILL_DOWN               'l'
#define MILL_UP                 'o'

#define DRILL                   'i'

#define SET_DRILL_STEPS         'I'     // then stepCount
#define SET_MILL_STEPS          'O'     // then stepCount

#define SET_DEF_PERIOD          'a'     // then period

#define TRANSLATE               't'     // then xyDir, xHigh, xLow, yHigh, yLow

#endif
